gtksourceviewmm: gtksourceview::SourceMarkup Class Reference

gtksourceviewmm 2.10.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
gtksourceview::SourceMarkup Class Reference

It is just a class holding markup string. More...

`#include <gtksourceviewmm/sourcemarkup.h>`

List of all members.

## Public Member Functions
| SourceMarkup ()
| Creates empty SourceMarkup.
| SourceMarkup (const Glib::ustring& markup)
| Creates SourceMarkup containing text from markup.
| SourceMarkup (const char* markup)
| Creates SourceMarkup containing text from markup.
| SourceMarkup (const SourceMarkup& other)
| Creates SourceMarkup containing text from other SourceMarkup.
SourceMarkup& | operator= (const SourceMarkup& other)
| Assigns contents of other SourceMarkup to this one.
| operator bool () const
| Checks if SourceMarkup is not empty.
bool | equal (const SourceMarkup& other) const
| Checks if other SourceMarkup is the same as this one.
Glib::ustring | get_string () const
| Get the string representation of the SourceMarkup.
const char* | get_c_str () const
| Get the C string representation of the SourceMarkup.
## Related Functions
(Note that these are not member functions.)
bool | operator== (const SourceMarkup& lhs, const SourceMarkup& rhs)
| See SourceMarkup::equal()
bool | operator!= (const SourceMarkup& lhs, const SourceMarkup& rhs)
| See SourceMarkup::equal()

## Detailed Description

It is just a class holding markup string.

This class exists because now nice constructor overload could be used in some places.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

gtksourceview::SourceMarkup::SourceMarkup | ( |  | ) |

Creates empty SourceMarkup.

Returns:
  A new SourceMarkup.

Since gtksourceviewmm 2.10:

gtksourceview::SourceMarkup::SourceMarkup | ( | const Glib::ustring & | markup | ) | `[explicit]`

Creates SourceMarkup containing text from markup.

Parameters:

  markup | A markup string.

Returns:
  A new SourceMarkup.

Since gtksourceviewmm 2.10:

gtksourceview::SourceMarkup::SourceMarkup | ( | const char * | markup | ) | `[explicit]`

Creates SourceMarkup containing text from markup.

Parameters:

  markup | A markup C string.

Returns:
  A new SourceMarkup.

Since gtksourceviewmm 2.10:

gtksourceview::SourceMarkup::SourceMarkup | ( | const SourceMarkup& | other | ) |

Creates SourceMarkup containing text from other SourceMarkup.

Parameters:

  other | Other SourceMarkup.

Returns:
  A new SourceMarkup.

Since gtksourceviewmm 2.10:

## Member Function Documentation

bool gtksourceview::SourceMarkup::equal | ( | const SourceMarkup& | other | ) | const

Checks if other SourceMarkup is the same as this one.

Parameters:

  other | Other SourceMarkup.

Returns:
  `true` if both this and other SourceMarkup are equal.

Since gtksourceviewmm 2.10:

const char* gtksourceview::SourceMarkup::get_c_str | ( |  | ) | const

Get the C string representation of the SourceMarkup.

Returns:
  A C string holding markup.

Since gtksourceviewmm 2.10:

Glib::ustring gtksourceview::SourceMarkup::get_string | ( |  | ) | const

Get the string representation of the SourceMarkup.

Returns:
  A string holding markup.

Since gtksourceviewmm 2.10:

gtksourceview::SourceMarkup::operator bool | ( |  | ) | const

Checks if SourceMarkup is not empty.

Returns:
  `true` if SourceMarkup is not empty, otherwise `false`.

Since gtksourceviewmm 2.10:

SourceMarkup& gtksourceview::SourceMarkup::operator= | ( | const SourceMarkup& | other | ) |

Assigns contents of other SourceMarkup to this one.

Parameters:

  other | Other SourceMarkup.

Returns:
  This SourceMarkup.

Since gtksourceviewmm 2.10:

## Friends And Related Function Documentation

bool operator!= | ( | const SourceMarkup& | lhs,
|  | const SourceMarkup& | rhs
| ) |  | `[related]`

See SourceMarkup::equal()

Since gtksourceviewmm 2.10:

bool operator== | ( | const SourceMarkup& | lhs,
|  | const SourceMarkup& | rhs
| ) |  | `[related]`

See SourceMarkup::equal()

Since gtksourceviewmm 2.10: